Subject: TceformsUpdateWizard does not tell the user about the log file
Description

TceformsUpdateWizard generates a log file for failed migrations.
The location of this log file is never revealed to the user.

Path is: /typo3temp/logs/typo3.log (FileWriter of the Logger)

Related issues:
related to Core - Bug # 57575: TceformsUpdateWizard reports success although ... Resolved 2014-04-02

History
#1 - 2014-04-02 21:12 - Steffen Müller

This is also the case for RteMagicImagesUpdateWizard.

I would say it is not the job of a particular UpdateWizard to tell about the log, but rather the install tool itself.

#2 - 2014-04-02 21:28 - Steffen Müller

I'd propose to configure a dedicated log file to cover any logRecord which is triggered inside of typo3/sysext/install:
typo3temp/logs/install-tool.log

What do you think?

Could be added to DefaultConfiguration.php with:

'LOG' => array(
    'TYPO3' => array (
        'CMS' => array(
            'Install' => array(
                'writerConfiguration' => array(
                    \TYPO3\CMS\Core\Log\LogLevel::DEBUG => array(
                        'TYPO3\\CMS\\Core\\Log\\Writer\\FileWriter' => array(
                            'logFile' => 'typo3temp/logs/install-tool.log'
                        ),
                    ),
                ),
            ),
        ),
    ),
),

Then announce this file and the related log configuration at a prominent place in install tool.

What could be a good place for this announcement?

#3 - 2014-04-02 21:44 - Steffen Müller

One could argue that adding a random suffix to the filename like deprecation_3f11ecba79.log

I think we should discuss this before.

#4 - 2014-04-02 22:34 - Markus Klein

Steffen, thanks a lot for taking care about this. Your proposal sounds great.

Prominent place would be the overview of the upgrade wizards.
I don't mind the whether we have a file suffix or not.

#5 - 2014-12-23 19:56 - Mathias Schreiber
- Target version changed from next-patchlevel to 7.4 (Backend)

#6 - 2015-07-13 19:42 - Susanne Moog
- Category changed from Install Tool to 7 Install Improvements
